Bug 261062 - [update] devel/libconfig: update to 1.7.3
Summary: [update] devel/libconfig: update to 1.7.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Marius Strobl
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-09 15:06 UTC by Marius Strobl
Modified: 2022-02-08 22:24 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ntarmos)


Attachments
patch updating devel/libconfig to 1.7.3 and bumping PORTREVISIONs accordingly (12.31 KB, patch)
2022-01-09 15:06 UTC, Marius Strobl
no flags Details | Diff
updated patch fetching releases rather than tags from GitHub (12.44 KB, patch)
2022-01-10 18:42 UTC, Marius Strobl
marius: maintainer-approval? (ntarmos)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marius Strobl freebsd_committer 2022-01-09 15:06:23 UTC
Created attachment 230845 [details]
patch updating devel/libconfig to 1.7.3 and bumping PORTREVISIONs accordingly

- Chase shared library bump across dependant ports.
- Properly depend on makeinfo, adding an INFO knob.
- Refresh pkg-descr and COMMENT accordingly.

Poudriere builds of all touched ports are fine except for www/glewlwyd
which generally has build problems [1], logs available upon request.

1: https://lists.freebsd.org/archives/freebsd-pkg-fallout/2022-January/174933.html
Comment 1 Daniel Engberg freebsd_committer 2022-01-10 07:56:20 UTC
Please use upstream release archive/distribution archive instead of pulling it from GitHub repo.

https://github.com/hyperrealm/libconfig/releases/tag/v1.7.3 --> https://github.com/hyperrealm/libconfig/releases/download/v1.7.3/libconfig-1.7.3.tar.gz
Comment 2 Daniel Engberg freebsd_committer 2022-01-10 08:14:55 UTC
...I should add, this is a recommendation in Porters Handbook.
Comment 3 Marius Strobl freebsd_committer 2022-01-10 18:42:20 UTC
Created attachment 230886 [details]
updated patch fetching releases rather than tags from GitHub
Comment 4 commit-hook freebsd_committer 2022-01-26 07:50:23 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8c30deb681a941ce9974c57c7f45c9f294908d67

commit 8c30deb681a941ce9974c57c7f45c9f294908d67
Author:     Marius Strobl <marius@FreeBSD.org>
AuthorDate: 2022-01-08 19:26:44 +0000
Commit:     Marius Strobl <marius@FreeBSD.org>
CommitDate: 2022-01-26 07:46:25 +0000

    devel/libconfig: update to 1.7.3

    - Chase shared library bump across dependant ports.
    - Fetch releases rather than tags from GitHub. [1]
    - Properly depend on makeinfo, adding an INFO knob.
    - Refresh pkg-descr and COMMENT accordingly.

    PR:             261062
    Reported by:    dizzy [1]
    Approved by:    maintainer timeout

 astro/siril/Makefile                       |  2 +-
 audio/shairport-sync/Makefile              |  1 +
 audio/umurmur/Makefile                     |  2 +-
 databases/ateam_mysql57_ldap_auth/Makefile |  2 +-
 databases/ateam_mysql_ldap_auth/Makefile   |  2 +-
 databases/zabbix3-libzbxpgsql/Makefile     |  2 +-
 deskutils/dfshow/Makefile                  |  1 +
 devel/libconfig/Makefile                   | 24 +++++++++++-------------
 devel/libconfig/distinfo                   |  6 +++---
 devel/libconfig/pkg-descr                  | 17 ++++++++---------
 devel/libconfig/pkg-plist                  |  4 ++--
 irc/srain/Makefile                         |  1 +
 lang/ldc/Makefile                          |  1 +
 multimedia/lms/Makefile                    |  1 +
 net-im/telegram-cli/Makefile               |  1 +
 net-im/tox/Makefile                        |  1 +
 net-im/toxic/Makefile                      |  1 +
 net/sslh/Makefile                          |  1 +
 security/cvechecker/Makefile               |  1 +
 security/razorback-api/Makefile            |  2 +-
 www/glewlwyd/Makefile                      |  1 +
 www/janus/Makefile                         |  2 +-
 www/ot-recorder/Makefile                   |  2 +-
 x11-wm/compton/Makefile                    |  2 +-
 x11-wm/picom/Makefile                      |  2 +-
 x11/compton-conf/Makefile                  |  1 +
 x11/xob/Makefile                           |  1 +
 27 files changed, 47 insertions(+), 37 deletions(-)